Bug 8126 - Funkiness with Patrons w/ Most Checkouts Report
Summary: Funkiness with Patrons w/ Most Checkouts Report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-18 17:39 UTC by Nicole C. Engard
Modified: 2020-01-06 20:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-05-18 17:39:11 UTC
Reported to me by a library:


I've been playing with the "Patrons with the Most Checkouts" report link and I
see that even if I set a number, like maybe 20, in the limit area, I get more
results back than that.  Not a big deal, but maybe a bug.

Also, the library list in this report is organized by library code rather than
alphabetically by library name, while the library list in the "Most Circulated
Items" report is organized alphabetically by name.

I have just a little more to add, for this report, even when I am logged in as
a staff member at a branch, I get the entire list of libraries to sift
through in the "Library" area, on the other reports like this, "Items with Most
Checkouts," "Patrons who Haven't Checked Out," and "Items with no Checkouts,"
when I am logged in as a staff member from a library my only choices in the
library list are my branch or "All."

Seems like this report should behave like that as well -- offering just my site
or maybe all rather than a list of all libraries to pick through.
Comment 1 Agnes Rivers-Moore 2014-07-28 20:33:27 UTC
Hanover Library (Ontario) - single library site. Confirming we get more than the requested number of responses from this report. Usually twice as many or close to twice as many rows in the report as expected. The later rows have very low checkout numbers, people with 1 to 4 checkouts only, so this is not simply the limit to x rows failing - it is including patrons that are not near the "top" users, and could possibly be the lowest users. 
I hope this may help figure out what is going on.
Agnes
Comment 2 Katrin Fischer 2015-06-06 23:19:37 UTC
Could you retest and tell your specific settings in the search form and which version you are using?
Comment 3 Agnes Rivers-Moore 2019-04-23 22:35:04 UTC
This report seems to be working correctly now, at least for my single site library.
Bug fixed somewhere along the way without anyone noticing and updating here?
Comment 4 Katrin Fischer 2019-04-28 12:59:20 UTC
(In reply to Agnes Rivers-Moore from comment #3)
> This report seems to be working correctly now, at least for my single site
> library.
> Bug fixed somewhere along the way without anyone noticing and updating here?

Marking RESOLVED FIXED, please open a new bug report for any remaining issues!